<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Page</title>
</head>
<body>
    <h1>Hello world from html!</h1>

    {# Вывод переменной из Flask #}
    {{ value_from_flask }}

    {% if search %}
        {# Если пользователь отправил форму, выводим данные из нее: #}
        <p>Поисковый запрос: {{ search }}</p>
    {% endif %}

    <form method="post">
        <input type="text" name="search" placeholder="Search">
        <button>Go</button>
    </form>
</body>
</html>
